Bug 133595 - please add a "refresh" button
Summary: please add a "refresh" button
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: hwbrowser   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 00:19 UTC by Andrew D. Stadler
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 10:02:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew D. Stadler 2004-09-25 00:19:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
for certain types of devices (e.g. removable storage) a key desire is
to see that it's being recognized by the system when added/removed.

in order to do that, currently, must quit and restart the hwbrowser. 
wouldn't it be cool if there was a "refresh" button that would rescan
the currently displayed pane?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  open hwbrowser
2.  wait for display
3.  add/remove hardware (e.g. insert a CF card with a filesystem)
4.  drives pane is now inaccurate
    

Actual Results:  it just shows the old information

Expected Results:  there should be a way to rescan and see the
inserted device

Additional info:

Comment 1 Nils Philippsen 2004-09-25 10:48:37 UTC
A refresh button wouldn't be too bad but the current codebase doesn't
make it too easy to implement that i.e. I probably wouldn't get around
to implementing that until after FC3 is final -- or even later as
there are other things with higher priority waiting.

Feel free to submit patches though ;-).

Comment 2 Matthew Miller 2005-04-26 15:18:53 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Andrew D. Stadler 2005-05-03 20:27:46 UTC
As of FC3/latest and hwbrowser-0.20-0.fc3.1 this would still be a useful fix.

Comment 4 Nils Philippsen 2006-02-28 10:02:59 UTC
This RFE has been open without action for a long time. Closing as DEFERRED to
reflect the actual situation.


Note You need to log in before you can comment on or make changes to this bug.